Download it now!
Bug 85817 - MENUS: Improve the wording of 'Document as E-mail'
Summary: MENUS: Improve the wording of 'Document as E-mail'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2014-11-03 19:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2014-12-02 02:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-03 19:15:38 UTC
The ability to attach the current document to a new email message is labelled as 'Document as E-mail', which is quite confusing as a tooltip in the toolbar, but is also confusing when it is File > Send > Document as Email.

The wording is confusing as it could imply that you want the contents of the document to be used as the text of a new email. If you look at the items that follow it in the File > Send submenu, they are labelled like 'Email as OpenDocument Text', so i think it would be good to follow the same type of wording and change it to 'Email Document'.
Comment 1 Cor Nouws 2014-11-12 17:35:41 UTC
(In reply to Jay Philips from comment #0)

> wording and change it to 'Email Document'.

Or 'Send document by email'

But all localisations will find their own best wording of course
Comment 2 Yousuf Philips (jay) (retired) 2014-11-12 20:41:30 UTC
(In reply to Cor Nouws from comment #1)
> Or 'Send document by email'

Wouldnt mind this but it would look odd with these following it.

E-mail as OpenDocument Text
E-mail as Microsoft Word
E-mail as PDF

I think 'E-mail as Microsoft Word' also needs to be changed to 'E-mail as Microsoft Word Document' or to conserve space 'E-mail as MS Word Document'.
Comment 3 Cor Nouws 2014-11-12 20:52:32 UTC
(In reply to Jay Philips from comment #2)
> (In reply to Cor Nouws from comment #1)
> > Or 'Send document by email'
> 
> Wouldnt mind this but it would look odd with these following it.

OK, I agree with that.

> [...]
> I think 'E-mail as Microsoft Word' also needs to be changed to 'E-mail as
> Microsoft Word Document' or to conserve space 'E-mail as MS Word Document'.

People say "send/save/xxxx as Word" :)
"Microsoft Word" is better I think. 
You don't want to change "PDF" to "PDF document" too ?
Comment 4 Yousuf Philips (jay) (retired) 2014-11-12 21:26:19 UTC
(In reply to Cor Nouws from comment #3)
> People say "send/save/xxxx as Word" :)

Thats funny.

> "Microsoft Word" is better I think. 

Yes i guess so, but shouldnt we clarify if its doc or docx?

> You don't want to change "PDF" to "PDF document" too ?

Wasnt thinking of it as PDF is an extension, but i see Google Docs has it that way.
Comment 5 Cor Nouws 2014-11-12 23:11:54 UTC
(In reply to Jay Philips from comment #4)
> (In reply to Cor Nouws from comment #3)
> > People say "send/save/xxxx as Word" :)
> 
> Thats funny.
> 
> > "Microsoft Word" is better I think. 
> 
> Yes i guess so, but shouldnt we clarify if its doc or docx?

Hé, that´s a total new, but interesting discussion :) Adding an option..
Something that implies that we agree that xxxX formats are mature.

> > You don't want to change "PDF" to "PDF document" too ?
> 
> Wasnt thinking of it as PDF is an extension, but i see Google Docs has it
> that way.

All fine. Most important is indeed your initial suggestion here.
Comment 6 Yousuf Philips (jay) (retired) 2014-11-14 03:06:21 UTC
Just changed the initial suggestion - https://gerrit.libreoffice.org/12419

Didnt change the PDF as we have 'Export as PDF' and saw MS Office simply uses PDF without any additional 'document' after it.

(In reply to Cor Nouws from comment #5)
> Hé, that´s a total new, but interesting discussion :) Adding an option..
> Something that implies that we agree that xxxX formats are mature.

Wasnt sure if you wanted to discuss this part more so didnt include it in the patch. Are you be fine with 'Email as Microsoft Word OOXML', 'Email as Microsoft Word DOCX' or 'Email as Microsoft Word (.docx)'?
Comment 7 Cor Nouws 2014-11-14 10:46:38 UTC
(In reply to Jay Philips from comment #6)

> (In reply to Cor Nouws from comment #5)
> > Hé, that´s a total new, but interesting discussion :) Adding an option..
> > Something that implies that we agree that xxxX formats are mature.
> 
> Wasnt sure if you wanted to discuss this part more so didnt include it in
> the patch. Are you be fine with 'Email as Microsoft Word OOXML', 'Email as
> Microsoft Word DOCX' or 'Email as Microsoft Word (.docx)'?

The uno command makes a doc file out of the active document.
So we can't change that string to some docX :)
So 'Email as Microsoft Word' should do.

What I meant with "total new, but interesting discussion": if we want it, it needs more work to be done :) .. > RFE?
Comment 8 A (Andy) 2014-11-14 21:44:29 UTC
Only a remark you can also think about in order to harmonize it:

In WRITER I find:
"E-mail as Microsoft Word..."

In CALC I find:
"E-mail as Microsoft Excel..."

But in IMPRESS I find:
"E-mail as Microsoft PowerPoint Presentation..."

-> If you agree that words like "Text", "Spreadsheet" are not necessary to add, then we should probably also do it that way in IMPRESS (without Presentation)?  Otherwise, it should also be added to WRITER and CALC?


@Cor: Do I understand that right, that it is technical not possible to send it in addition already directly as a docx?


---

Another issue:

In DRAW I have only:
"Document as E-mail..."
"E-mail as PDF..."

But should there not also be an entry "E-mail as OpenDocument Drawing"?


(tested with LO 4.3.3.2, Win 8.1)
Comment 9 Commit Notification 2014-11-15 15:42:54 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b29f745a26e52fde8a6991094f9c7edd4465a531

fdo#85817 changed 'Document as Email' to 'Email Document'

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Yousuf Philips (jay) (retired) 2014-11-15 16:18:34 UTC
(In reply to Cor Nouws from comment #7)
> The uno command makes a doc file out of the active document.
> So we can't change that string to some docX :)

Thanks for the clarification. :D

> So 'Email as Microsoft Word' should do.

Well with two versions of Microsoft Word documents, is better that a user knows which format is being attached to an email before clicking it.

> What I meant with "total new, but interesting discussion": if we want it, it
> needs more work to be done :) .. > RFE?

So yes, there likely should be a discussion on whether we should be sticking with the old format or not.

(In reply to A (Andy) from comment #8)
> But in IMPRESS I find:
> "E-mail as Microsoft PowerPoint Presentation..."
> 
> -> If you agree that words like "Text", "Spreadsheet" are not necessary to
> add, then we should probably also do it that way in IMPRESS (without
> Presentation)?  Otherwise, it should also be added to WRITER and CALC?

Nice catch Andy. :D

> @Cor: Do I understand that right, that it is technical not possible to send
> it in addition already directly as a docx?

No he's saying the function sends out a doc file, so renaming the menu item to say docx wouldnt fix the issue. :D

> In DRAW I have only:
> "Document as E-mail..."
> "E-mail as PDF..."
> 
> But should there not also be an entry "E-mail as OpenDocument Drawing"?

I think you should file a bug for that. :D
Comment 11 Yousuf Philips (jay) (retired) 2014-12-02 02:12:11 UTC
Submitted a bug report (bug 86920) for the creation of the uno commands for sending in MSO's new ooxml formats.